Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.grails.async.transform.internal
[Java] Class DelegateAsyncTransformation

    java.lang.Object
      org.grails.async.transform.internal.DelegateAsyncTransformation

All Implemented Interfaces:
  org.codehaus.groovy.transform.ASTTransformation

    @org.codehaus.groovy.transform.GroovyASTTransformation(phase = CompilePhase.CANONICALIZATION)
    public class DelegateAsyncTransformation
    extends java.lang.Object

Implementation of DelegateAsync transformation

Authors:
  Graeme Rocher

Since:
  2.3

Field Summary
`static org.codehaus.groovy.ast.ClassNode` | `GROOVY_OBJECT_CLASS_NODE`

Method Summary
`protected DelegateAsyncTransactionalMethodTransformer` | `lookupAsyncTransactionalMethodTransformer()`
`void` | `visit(org.codehaus.groovy.ast.ASTNode[] nodes, org.codehaus.groovy.control.SourceUnit source)`

Methods inherited from class java.lang.Object
java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Field Detail

### GROOVY_OBJECT_CLASS_NODE

    public static final org.codehaus.groovy.ast.ClassNode GROOVY_OBJECT_CLASS_NODE

Method Detail

### lookupAsyncTransactionalMethodTransformer

    protected DelegateAsyncTransactionalMethodTransformer lookupAsyncTransactionalMethodTransformer()

### visit

    public void visit(org.codehaus.groovy.ast.ASTNode[] nodes, org.codehaus.groovy.control.SourceUnit source)

Groovy Documentation